LDAPArgument (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.ldap.config.gui, class: LDAPArgument

Package org.apache.jmeter.protocol.ldap.config.gui

# Class LDAPArgument

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.protocol.ldap.config.gui.LDAPArgument

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Searchable`, `org.apache.jmeter.testelement.TestElement`

public class LDAPArgument extends AbstractTestElement implements Serializable
Class representing an argument. Each argument consists of a name/value and opcode combination, as well as (optional) metadata. author Dolf Smits(Dolf.Smits@Siemens.com) created Aug 09 2003 11:00 AM company Siemens Netherlands N.V.. Based on the work of: author Michael Stover author Mark Walsh

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LDAPArgument()`
  Create a new Argument without a name, value, or metadata.
  `LDAPArgument(String name, String value, String opcode)`
  Create a new Argument with the specified name and value, and no metadata.
  `LDAPArgument(String name, String value, String opcode, String metadata)`
  Create a new Argument with the specified name, value, and metadata.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMetaData()`
  Gets the Meta Data attribute of the Argument.
  `String`
  `getName()`
  Get the name of the Argument.
  `String`
  `getOpcode()`
  Gets the opcode of the Argument object.
  `String`
  `getValue()`
  Gets the value of the Argument object.
  `void`
  `setMetaData(String newMetaData)`
  Sets the Meta Data attribute of the Argument.
  `void`
  `setName(String newName)`
  Set the name of the Argument.
  `void`
  `setOpcode(String newOpcode)`
  Sets the opcode of the Argument.
  `void`
  `setValue(String newValue)`
  Sets the value of the Argument.

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Constructor Details

  - ### LDAPArgument

    public LDAPArgument()
    Create a new Argument without a name, value, or metadata.

  - ### LDAPArgument

    public LDAPArgument(String name, String value, String opcode)
    Create a new Argument with the specified name and value, and no metadata.
    Parameters:
      `name` - the argument name
      `value` - the argument value
      `opcode` - the operation to perform, may be one of `add`, `delete`, `remove` or `modify`.

  - ### LDAPArgument

    public LDAPArgument(String name, String value, String opcode, String metadata)
    Create a new Argument with the specified name, value, and metadata.
    Parameters:
      `name` - the argument name
      `value` - the argument value
      `opcode` - the operation to perform, may be one of `add`, `delete`, `remove` or `modify`.
      `metadata` - the argument metadata

- ## Method Details

  - ### setName

    public void setName(String newName)
    Set the name of the Argument.
    Specified by:
      `setName` in interface `org.apache.jmeter.testelement.TestElement`
    Overrides:
      `setName` in class `AbstractTestElement`
    Parameters:
      `newName` - the new name

  - ### getName

    public String getName()
    Get the name of the Argument.
    Specified by:
      `getName` in interface `org.apache.jmeter.testelement.TestElement`
    Overrides:
      `getName` in class `AbstractTestElement`
    Returns:
      the attribute's name

  - ### setValue

    public void setValue(String newValue)
    Sets the value of the Argument.
    Parameters:
      `newValue` - the new value

  - ### getValue

    public String getValue()
    Gets the value of the Argument object.
    Returns:
      the attribute's value

  - ### setOpcode

    public void setOpcode(String newOpcode)
    Sets the opcode of the Argument.
    Parameters:
      `newOpcode` - the new value

  - ### getOpcode

    public String getOpcode()
    Gets the opcode of the Argument object.
    Returns:
      the attribute's value

  - ### setMetaData

    public void setMetaData(String newMetaData)
    Sets the Meta Data attribute of the Argument.
    Parameters:
      `newMetaData` - the new metadata

  - ### getMetaData

    public String getMetaData()
    Gets the Meta Data attribute of the Argument.
    Returns:
      the MetaData value